//
// Created by Krad on 2021/12/16.
//

#ifndef GUI_GUIERRORLE_H
#define GUI_GUIERRORLE_H

#include "GUIErrorBase.h"
/**
 * GUIError of Level Error
 */
class GUIErrorLE: public GUIErrorBase {
public:
    GUIErrorLE()= default;

    /**
     * parse error object from error msg
     * @param errorMsg
     */
    void parse(const QString& errorMsg) override ;

    /**
     * handle error, should be implement in sub class
     */
     void handle() override;

private:
    QString errorMessage = "Unknown error!";
};


#endif //GUI_GUIERRORLE_H
